This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 464716 - (CVE-2008-3641) CVE-2008-3641 CUPS: HP/GL reader insufficient bounds checking
CVE-2008-3641 CUPS: HP/GL reader insufficient bounds checking
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=important,source=vendorsec,rep...
: Security
Depends On: 464718 464719 464720 464721 464722 466418 466419 466420
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 20:36 EDT by Josh Bressers
Modified: 2010-02-25 17:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 03:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch from Apple (3.90 KB, patch)
2008-09-29 20:38 EDT, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2911 None None None Never
CUPS Bugs and Features 2966 None None None Never

  None (edit)
Description Josh Bressers 2008-09-29 20:36:55 EDT
An unchecked index issue exists within the PW_pen_width() and
PC_pen_color() functions in the hpgltops CUPS image filter. Buffer bounds
are not properly validated when handling the pen width and pen color
opcodes, potentially resulting in arbitrary memory being overwritten with
controlled data.

Acknowledgements:

Red Hat would like to thank "regenrecht" for reporting this issue.
Comment 1 Josh Bressers 2008-09-29 20:38:49 EDT
Created attachment 318029 [details]
Patch from Apple
Comment 5 Tomas Hoger 2008-10-10 02:40:13 EDT
Public now via:

http://cups.org/articles.php?L575
http://www.cups.org/str.php?L2911

Fixed upstream in: 1.3.9
Comment 7 Tomas Hoger 2008-10-13 07:30:46 EDT
The fix for this issue was reported to introduce regression in the HP-GL/2 file format handling:

  http://www.cups.org/str.php?L2966

According to upstream, "It shouldn't break "valid" HP-GL/2 files that specify pen numbers."
Comment 8 Fedora Update System 2008-10-15 22:03:49 EDT
cups-1.3.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-10-15 22:08:23 EDT
cups-1.3.9-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.